#
# spec file for package perl-Test-PerlTidy
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Test-PerlTidy
Name:           perl-Test-PerlTidy
Version:        20230226
Release:        bp156.1.1
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Check that all your files are tidy
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.280000
BuildRequires:  perl(Path::Tiny) >= 0.100
BuildRequires:  perl(Perl::Tidy) >= 20220613
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl(parent)
Requires:       perl(Path::Tiny) >= 0.100
Requires:       perl(Perl::Tidy) >= 20220613
Requires:       perl(Text::Diff)
Requires:       perl(parent)
%{perl_requires}

%description
This test submodule runs perltidy on files and reports errors if any
of the files differ after having been tidied. It does not permanently
modify the files being tested.

By default, perltidy will be run on files under the current directory
and its subdirectories with extensions matching: .pm .pl .PL .t.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Mon Feb 27 2023 Tina Müller <timueller+perl@suse.de>
- updated to 20230226
  see /usr/share/doc/packages/perl-Test-PerlTidy/Changes
  20230226        2023-02-26
  * Cleanups and speedups
  * https://github.com/shlomif/Test-PerlTidy/pull/8
  * Thanks to @thoke !
* Sat Sep  3 2022 Tina Müller <timueller+perl@suse.de>
- updated to 20220902
  see /usr/share/doc/packages/perl-Test-PerlTidy/Changes
  20220902        2022-09-02
  * Fix the tests with latest Perl::Tidy
* Sat Jul 10 2021 Tina Müller <timueller+perl@suse.de>
- updated to 20210709
  see /usr/share/doc/packages/perl-Test-PerlTidy/Changes
  20210709        2021-07-09
  * Fix the tests when TEST_AUTHOR=1
  - Remove t/critic.t
  - https://github.com/shlomif/Test-PerlTidy/issues/6
* Sun Oct  4 2020 Tina Müller <timueller+perl@suse.de>
- updated to 20200930
  see /usr/share/doc/packages/perl-Test-PerlTidy/Changes
  20200930        2020-09-30
  * Fix the tests with lates Perl::Tidy
* Mon Apr 13 2020 <timueller+perl@suse.de>
- updated to 20200412
  see /usr/share/doc/packages/perl-Test-PerlTidy/Changes
  20200412        2020-04-12
  * https://github.com/shlomif/Test-PerlTidy/issues/4
  * Set minimum version of Path::Tiny for its ->visit() method
  * Thanks to @eserte / SREZIC for the report
  20200411        2020-04-11
  * https://github.com/shlomif/Test-PerlTidy/issues/3
  * Allow to pass extra options to Perl::Tidy::perltidy().
  * Thanks to @cxw42 for the suggestion!
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 20190402
  see /usr/share/doc/packages/perl-Test-PerlTidy/Changes
  20190402        2019-04-02
  * Fix https://github.com/shlomif/Test-PerlTidy/issues/2
    $VERSION overrided the one set by dzil
  * Made the "use" imports explicit.
* Wed Mar 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 20190309.001
  see /usr/share/doc/packages/perl-Test-PerlTidy/Changes
* Sat Oct  7 2017 mimi.vx@gmail.com
- spec-cleaned
* Wed Mar 15 2017 coolo@suse.com
- update with cpanspec
* Wed Mar 15 2017 jengelh@inai.de
- Replace storytelling by an actual %%description.
* Wed Feb  8 2017 mimi.vx@gmail.com
- initial package
